Get Notification Types As User

Get Notification Types As User
Get Notification Types to subscribe

Get Notification Types to which an org users can subscribe for notifications.

Request
URI
GET
https://vmc.vmware.com/api/notification/{orgId}/notification-types
COPY
Path Parameters
string
orgId
Required

Org ID

Query Parameters
string of array
filter
Optional

The name of a property to filter on along with the matching criteria for property values ?=<operation>:<value> Operations : EQ(""), NEQ("ne"), GT("gt"), GTE("gte"), LT("lt"), LTE("lte"), SW("sw"), IN("in"), NOT_IN("not_in"), CONTAINS("contains"), IS("is")
NOTE: you can find more specific description -> https://confluence.eng.vmware.com/display/ATLAS/Domain+API+Patterns#DomainAPIPatterns-Paging,Sorting,andFiltering
Filter Examples:
- ?filter=property_name,operation:value&filter=property_name,operation:value
Property Examples:
- ?type=sw:storage&resource.type=eq:SDDC - returns objects which resource type is equals of SDDC with a type starting with "storage"

integer
size
Optional

The page size, or number of elements returned in a single page. (default is 50) Examples: - /notifications?size=50 - /messages?size=50

integer
page
Optional

The zero-base offset of the result page to return. NOTE: $skip must be used with $top and must be a multiple of $top Examples: - ./notifications?page=2&size=10 - returns the 21st through 30th notification - ./messages?page=2&size=10 - returns the 21st through 30th message

string
sort
Optional

The name of a property to sort on and direction of sorting (asc or desc). NOTE: if multiple sort params are included then sorting will be applied in order of the params. Examples: - ./notifications?sort=type,asc&sort=id,asc - returns notifications sorted in ascending order first by type and the by id - ./messages?sort=type,asc&sort=id,asc - returns messages sorted in ascending order first by type and the by id


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns NotificationTypePageResponse of type(s) application/json
{
    "total_elements": 0,
    "total_pages": 0,
    "number": 0,
    "size": 0,
    "number_of_elements": 0,
    "first": false,
    "last": false,
    "content": [
        {
            "created": "string",
            "updated": "string",
            "version": 0,
            "id": "string",
            "name": "string",
            "type": "string",
            "description": "string",
            "deployment": "string",
            "provider": "string",
            "priority": "string",
            "callback_channel": {
                "command": [
                    "string"
                ],
                "callback_url": "string",
                "callback_workflow": "string"
            },
            "visibility": "string",
            "omnichannels": [
                {
                    "name": "string",
                    "template_tags_selector": {
                        "template_tags_selector": [
                            "string"
                        ]
                    },
                    "email_preferences": {
                        "cc": [
                            "string"
                        ],
                        "bcc": [
                            "string"
                        ],
                        "operation": "string",
                        "recipients": [
                            {
                                "email": "string",
                                "locale": "string"
                            }
                        ]
                    },
                    "visual_components": [
                        "string"
                    ],
                    "allowed_roles": [
                        "string"
                    ]
                }
            ],
            "contact": "[email protected]/#vmc-notification-gw",
            "category": "string",
            "translation_id": "string",
            "created_by": "[email protected]",
            "updated_by": "[email protected]"
        }
    ]
}
integer As int32 As int32
total_elements
Optional

total_elements

integer As int32 As int32
total_pages
Optional

total_pages

integer As int32 As int32
number
Optional

number

integer As int32 As int32
size
Optional

size

integer As int32 As int32
number_of_elements
Optional

number_of_elements

boolean
first
Optional

first

boolean
last
Optional

last

array of object
content
Optional

content


401

Unauthorized

Returns NotificationTypePageResponse of type(s) application/json
"NotificationTypePageResponse Object"
integer As int32 As int32
total_elements
Optional

total_elements

integer As int32 As int32
total_pages
Optional

total_pages

integer As int32 As int32
number
Optional

number

integer As int32 As int32
size
Optional

size

integer As int32 As int32
number_of_elements
Optional

number_of_elements

boolean
first
Optional

first

boolean
last
Optional

last

array of object
content
Optional

content


403

Forbidden

Returns NotificationTypePageResponse of type(s) application/json
"NotificationTypePageResponse Object"
integer As int32 As int32
total_elements
Optional

total_elements

integer As int32 As int32
total_pages
Optional

total_pages

integer As int32 As int32
number
Optional

number

integer As int32 As int32
size
Optional

size

integer As int32 As int32
number_of_elements
Optional

number_of_elements

boolean
first
Optional

first

boolean
last
Optional

last

array of object
content
Optional

content


500

Internal Server Error

Returns ErrorResponse of type(s) application/json
{
    "messages": {
        "id": "string",
        "default_message": "string",
        "args": [
            "string"
        ]
    },
    "type": "string"
}
object
messages
Optional

Message of Error

string
type
Optional

type


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/notification/{orgId}/notification-types